summaryrefslogtreecommitdiffstats
path: root/tools
diff options
context:
space:
mode:
authorJoel Sherrill <joel.sherrill@OARcorp.com>2002-10-04 13:36:13 +0000
committerJoel Sherrill <joel.sherrill@OARcorp.com>2002-10-04 13:36:13 +0000
commit6f0df14228e6563dfd188dbeb856b8b453eace3d (patch)
tree8749851964981621eb4546ce52908944dea6caf3 /tools
parent2002-10-04 Jay Monkman <jtm@smoothsmoothie.com> (diff)
downloadrtems-6f0df14228e6563dfd188dbeb856b8b453eace3d.tar.bz2
2002-10-02 Chris Johns <cjohns@cybertec.com.au>
* cvsignore-add.sh: Script to append a specific file to all .cvsignore files if the files exists is a specific directory.
Diffstat (limited to 'tools')
-rw-r--r--tools/build/ChangeLog5
-rw-r--r--tools/build/Makefile.am2
-rwxr-xr-xtools/build/cvsignore-add.sh25
3 files changed, 31 insertions, 1 deletions
diff --git a/tools/build/ChangeLog b/tools/build/ChangeLog
index 82af59091f..f1ad85449e 100644
--- a/tools/build/ChangeLog
+++ b/tools/build/ChangeLog
@@ -1,3 +1,8 @@
+2002-10-02 Chris Johns <cjohns@cybertec.com.au>
+
+ * cvsignore-add.sh: Script to append a specific file to all
+ .cvsignore files if the files exists is a specific directory.
+
2002-05-01 Joel Sherrill <joel@OARcorp.com>
* lock-directory.in, unlock-directory.in: Removed.
diff --git a/tools/build/Makefile.am b/tools/build/Makefile.am
index 6bd286e36f..e613919ace 100644
--- a/tools/build/Makefile.am
+++ b/tools/build/Makefile.am
@@ -16,6 +16,6 @@ binpatch_SOURCES = binpatch.c
bin_SCRIPTS = install-if-change
-noinst_SCRIPTS = search-id.sh multigen
+noinst_SCRIPTS = search-id.sh multigen cvsignore-add.sh
include $(top_srcdir)/../../automake/host.am
diff --git a/tools/build/cvsignore-add.sh b/tools/build/cvsignore-add.sh
new file mode 100755
index 0000000000..45feab6565
--- /dev/null
+++ b/tools/build/cvsignore-add.sh
@@ -0,0 +1,25 @@
+#!/bin/sh
+#
+# Find a file in the directory tree and create or add to a .cvsignore
+# file that file name so it is ignored.
+#
+# Copyright 2001 Cybertec Pty Limited
+# All rights reserved.
+#
+# $Id$
+#
+
+#
+# We need one parameter, the file to add.
+#
+
+if [ $# -eq 0 ]; then
+ echo "Usage: $0 file, where file is the one to be added."
+ exit 1
+fi
+
+for f in `find . -name $1`;
+do
+ echo "`dirname $f`/.cvsignore"
+ echo "$1" >> `dirname $f`/.cvsignore
+done